%define upstream_name Test-LWP-UserAgent
%define upstream_version 0.034

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A LWP::UserAgent suitable for simulating and testing network calls
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Meta::Requirements) >= 2.120.620
BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(HTTP::Date)
BuildRequires: perl(HTTP::Request)
BuildRequires: perl(HTTP::Request::Common)
BuildRequires: perl(HTTP::Response)
BuildRequires: perl(HTTP::Status)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Safe::Isa)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Storable)
BuildRequires: perl(Test::Deep) >= 0.110.0
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Needs)
BuildRequires: perl(Test::RequiresInternet)
BuildRequires: perl(Test::Warnings) >= 0.9.0
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(URI) >= 1.620.0
BuildRequires: perl(if)
BuildRequires: perl(lib)
BuildRequires: perl(namespace::clean) >= 0.190.0
BuildRequires: perl(overload)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module is a subclass of LWP::UserAgent which overrides a few key
low-level methods that are concerned with actually sending your request over
the network, allowing an interception of that request and simulating a
particular response.  This greatly facilitates testing of client networking
code where the server follows a known protocol.

The synopsis describes a classic case where you want to test how your
application reacts to various responses from the server.  This module will let
you send back various responses depending on the request, without having to
set up a real server to test against.  This can be invaluable when you need to
test edge cases or error conditions that do not normally arise from the
server.

There are a lot of different ways you can set up the response mappings, and
hook into this module; see the documentation for the individual interface
methods.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc CONTRIBUTING Changes INSTALL LICENCE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sat Mar 07 2020 tv <tv> 0.34.0-1.mga8
+ Revision: 1554626
- update to 0.034

* Wed Feb 12 2020 umeabot <umeabot> 0.33.0-3.mga8
+ Revision: 1506432
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.33.0-2.mga7
+ Revision: 1286667
- Mageia 7 Mass Rebuild

* Fri Jul 21 2017 sander85 <sander85> 0.33.0-1.mga7
+ Revision: 1126088
- update to 0.033

* Sun Jun 19 2016 pterjan <pterjan> 0.30.0-3.mga6
+ Revision: 1034313
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.30.0-2.mga6
+ Revision: 969434
- Mageia 6 Mass Rebuild

* Sun Aug 23 2015 sander85 <sander85> 0.30.0-1.mga6
+ Revision: 868707
- update to 0.030

* Sat Jun 27 2015 sander85 <sander85> 0.29.0-1.mga6
+ Revision: 845906
- update to 0.029

* Sun Oct 19 2014 umeabot <umeabot> 0.25.0-4.mga5
+ Revision: 790383
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.25.0-3.mga5
+ Revision: 749523
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.25.0-2.mga5
+ Revision: 686470
- Mageia 5 Mass Rebuild

* Tue Jul 15 2014 sander85 <sander85> 0.25.0-1.mga5
+ Revision: 653079
- update to 0.025

* Sat May 17 2014 sander85 <sander85> 0.23.0-1.mga5
+ Revision: 623371
- imported package perl-Test-LWP-UserAgent

